/*
 * Copyright (C) 1999, 2000 Alen Kovac <akovac@jagor.srce.hr>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity 
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *   
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef SIMIKON_CONSOLE_HH
#define SIMIKON_CONSOLE_HH

#include <qmultilineedit.h>

#define SC_MESSAGE( A ) simikonConsole->printMessage( A )
#define SC_WARNING( A ) simikonConsole->printWarning( A )
#define SC_ERROR( A ) simikonConsole->printError( A )

typedef enum {
  SC_MESSAGE_INFO,
  SC_MESSAGE_WARNING,
  SC_MESSAGE_ERROR
} MessageType;

/*===========================================================================*/
/* class: SimikonConsole                                                     */
/*===========================================================================*/

class SimikonConsole: public QMultiLineEdit {
  Q_OBJECT

public:
  SimikonConsole( QWidget *parent, const char *name );
  ~SimikonConsole();

  void printMessage( const QString &msg );
  void printWarning( const QString &msg );
  void printError( const QString &msg );

private:

  void Print( const QString &msg, MessageType type );
  
};

#endif // SIMIKON_CONSOLE_HH
