/*
 * Copyright (C) 1999, 2000 Alen Kovac <akovac@jagor.srce.hr>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity 
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *   
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef SIMIKON_HELP_HH
#define SIMIKON_HELP_HH

// QT_INCLUDES
#include <qmainwindow.h>

/*===========================================================================*/
/* class: SimikonHelp                                                        */
/*===========================================================================*/


class QTextBrowser;
class QToolBar;
class QComboBox;


class SimikonHelp: public QMainWindow {
  Q_OBJECT

public:
  SimikonHelp( QWidget *parent, const char *name );
  ~SimikonHelp();

private:
  void InitActions( void );
  void InitToolBar( void );

public slots:
  void slotHelp( const char * ); 

private slots:
  void SlotForwardAvailable( bool );
  void SlotBackwardAvailable( bool );
  void SlotTextChanged( void );
  void SlotPathSelected( const QString & );

protected:
  virtual bool eventFilter( QObject *, QEvent * );

private:
  QToolBar     *toolbar;
  QTextBrowser *browser;
  QComboBox    *path;

  QString      *actionName;
};

#endif // SIMIKON_HELP_HH
