/*
 * Copyright (C) 1999, 2000 Alen Kovac <akovac@jagor.srce.hr>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity 
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *   
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef SIMIKON_PROPERTIES_HH
#define SIMIKON_PROPERTIES_HH

#include <qdialog.h>

#include "SimikonSettings.hh"

class STabCtl;
class QPushButton;

/*===========================================================================*/
/* class: SimikonProperties                                                  */
/*===========================================================================*/

class SimikonProperties: public QDialog {
  Q_OBJECT

  friend class SimikonApp;

public:
  SimikonProperties( QWidget *parent, const char *name );
  ~SimikonProperties();

private:
  void InitGeneralTab( STabCtl *stabctl );
  void InitPathsTab( STabCtl *stabctl );
  void InitAssemblerTab( STabCtl *stabctl );

  void InitButtons( QWidget *parent );
  void SetProperties( void );
  void ApplyProperties( void );

private slots:
  void SlotOkButtonClicked( void );
  void SlotCancelButtonClicked( void );
  void SlotLocaleButtonClicked( void );
  void SlotHelpButtonClicked( void );
  void SlotLocaleCheckToggled( bool state );
  void SlotRemeberProjectsCheckToggled( bool state );
  void SlotProjectButtonClicked( void );
  void SlotPropertiesChanged( void );

private:
  QPushButton *okButton, *localeButton;
};

#endif // SIMIKON_PROPERTIES_HH
