/*
 * Copyright (C) 1999, 2000 Alen Kovac <akovac@jagor.srce.hr>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity 
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *   
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef SIMIKON_REGISTERS_HH
#define SIMIKON_REGISTERS_HH

// SIMIKON_INCLUDES
#include "SimikonModule.hh"

class Simikon8052;
class RegistersView;

/*===========================================================================*/
/* class: SimikonRegisters                                                   */
/*===========================================================================*/

class SimikonRegisters: public SimikonModule {
  Q_OBJECT

public:
  SimikonRegisters( QWidget *parent, const char *name, 
                    const char *action, Simikon8052 *cont );
  ~SimikonRegisters();

  void setActiveRegisters( RegistersView *gpr, const char *gprName,
                           RegistersView *sfr, const char *sfrName );

private:
  void InitSFR( void );
  void InitGPR( void );

private slots:
  void SlotSFRClicked( const QString & );
  void SlotSFRChanged( uint, uint );
  void SlotGPRChanged( uint, uint );
  void SlotUpdateGPRaddresses( uint );

signals:
  void signalSFRClicked( const QString &sfr );

private:
  RegistersView *sfr;
  RegistersView *gpr;

  Simikon8052 *controller;
};

#endif // SIMIKON_REGISTERS_HH
