/*
 * Copyright (C) 1999, 2000 Alen Kovac <akovac@jagor.srce.hr>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *  
 * The above copyright notice and this permission notice shall be included in
 * all copies of the Software, its documentation and marketing & publicity 
 * materials, and acknowledgment shall be given in the documentation, materials
 * and software packages that this Software was used.
 *   
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER 
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef CONFIG_H
#define CONFIG_H

//#define SIMIKON_WIN32
#define SIMIKON_UNIX

// Do not edit below this line

#define PROGRAM_NAME "SiMiKON"
#define PROGRAM_VERSION "v0.0.1"

#ifdef SIMIKON_UNIX
 #define SIMIKON_SETTINGS_FILE ".simikonrc"
 #define DEFAULT_HELP_DIR "/home/akovac/sim/doc/instset/"
#endif // SIMIKON_UNIX

#ifdef SIMIKON_WIN32
 #define SIMIKON_SETTINGS_FILE "simikon.cfg"
 #define DEFAULT_HELP_DIR "c:/simikon/doc/instset/"
#endif // SIMIKON_WIN32

#define DEFAULT_LOCALE ""
#define DEFAULT_PROJECTS_DIR "projects/"

#define INSTRUCTION_HELP "instset-eng.html"

// ovo je za QT-ov CHECK_PTR() macro
#define CHECK_NULL
#define DEBUG

// za Simikon Leak Tracker
//#define LEAK_TRACKER
#define LEAK_DUMP_FILE "LeakTracker.dump"
#define LEAK_DUMP_ENV "LEAK_TRACKER_DUMP"

#endif // CONFIG_H
